Map/navigation keeps forceclosing

Discussion in 'HTC Droid Eris' started by wgarvin, Nov 27, 2010.

  1. wgarvin
    Offline

    wgarvin New Member

    Joined:
    Jun 11, 2010
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    I'm running the PB00IM on my Eris and I can't get my Google maps it navigation to work. Anytime I try to put in a destination it force closes, any advice?

    Sent from my Eris using DroidForums App
     
  2. Bob Dammit
    Offline

    Bob Dammit DF Super Moderator

    Joined:
    Dec 11, 2009
    Messages:
    1,709
    Likes Received:
    17
    Trophy Points:
    68
    Location:
    N 42° 05.183 W 079° 10.914
    Ratings:
    +17
    What version of maps are you running? Im on 4.7.0.
     
  3. wgarvin
    Offline

    wgarvin New Member

    Joined:
    Jun 11, 2010
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    3,3, tried to update but it won't take

    Sent from my Eris using DroidForums App
     
  4. Bob Dammit
    Offline

    Bob Dammit DF Super Moderator

    Joined:
    Dec 11, 2009
    Messages:
    1,709
    Likes Received:
    17
    Trophy Points:
    68
    Location:
    N 42° 05.183 W 079° 10.914
    Ratings:
    +17
    From the home screen, hit menu, settings, applications, manage applications, tap maps, and try to uninstall that way. Then you can update through the market.

    If that doesn't work, use a 3rd party app to remove the maps apk. Root explorer is what I use, just find the file, and rename it first (maps.apk.old), then download the new apk from the market, then you can remove the old file from your phone.
     
  5. wgarvin
    Offline

    wgarvin New Member

    Joined:
    Jun 11, 2010
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    When I try to update it says "Package file was not signed correctly."
     
  6. Bob Dammit
    Offline

    Bob Dammit DF Super Moderator

    Joined:
    Dec 11, 2009
    Messages:
    1,709
    Likes Received:
    17
    Trophy Points:
    68
    Location:
    N 42° 05.183 W 079° 10.914
    Ratings:
    +17
    From the market? It should be signed correctly. Im at a loss.
     
  7. wgarvin
    Offline

    wgarvin New Member

    Joined:
    Jun 11, 2010
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    yes, from the market. It'll download but it won't install, giving me that error message.
     
  8. bubbagoonboy66
    Offline

    bubbagoonboy66 New Member

    Joined:
    Nov 22, 2010
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    I'm subsribed its doing the same thing for me...maybe its bc I'm rooted with a new OS or something?

    Sent from my Droid using DroidForums App
     
  9. rigbyrobot
    Offline

    rigbyrobot Member

    Joined:
    Dec 6, 2010
    Messages:
    32
    Likes Received:
    0
    Trophy Points:
    6
    Ratings:
    +0
    what Rom are you running? have you tried flashing a gapps package? or rename the file ext. to .bak on the original in the system/app folder? I believe gapps like maps must have an original copy in the system/app folder, then any updates in the market will install to the data/app folder. not sure if it will work but if you can find the apk push it to /system/app then try updating and see how it works

    Sent from my FroyoEris using DroidForums App